<?php
$dirsource = "Utilisateurs/zorro";
$dirdest = "Utilisateurs/ZZZ";

//recursive_copy($dirsource, $dirdest);
recursive_move($dirsource, $dirdest);

echo "Fin";

function recursive_copy($dirsource, $dirdest){
 // recursive function to copy
 // all subdirectories and contents:
 if(is_dir($dirsource))$dir_handle=opendir($dirsource);
 $dirname = substr($dirsource,strrpos($dirsource,"/")+1);

 mkdir($dirdest."/".$dirname, 0750);
 while($file=readdir($dir_handle))
 {
 if($file!="." && $file!="..")
 {
 if(!is_dir($dirsource."/".$file)) copy ($dirsource."/".$file, $dirdest."/".$dirname."/".$file);
 else
 {
 $dirdest1 = $dirdest."/".$dirname;
 recursive_copy($dirsource."/".$file, $dirdest1);
 }
 }
 }
 closedir($dir_handle);
 return true;
}

function recursive_move($dirsource, $dirdest){
 // recursive function to copy
 // all subdirectories and contents:
 if(is_dir($dirsource))$dir_handle=opendir($dirsource);
 $dirname = substr($dirsource,strrpos($dirsource,"/")+1);

 mkdir($dirdest."/".$dirname, 0750);
 while($file=readdir($dir_handle))
 {
 if($file!="." && $file!="..")
 {
 if(!is_dir($dirsource."/".$file))
 {
 copy ($dirsource."/".$file, $dirdest."/".$dirname."/".$file);
 unlink($dirsource."/".$file);
 }
 else
 {
 $dirdest1 = $dirdest."/".$dirname;
 recursive_move($dirsource."/".$file, $dirdest1);
 }
 }
 }
 closedir($dir_handle);
 rmdir($dirsource);
}


// copy recursive
function cpy($source, $dest)
{
    if(is_dir($source)) {
        $dir_handle=opendir($source);
        while($file=readdir($dir_handle)){
            if($file!="." && $file!=".."){
                if(is_dir($source."/".$file)){
                    if(!is_dir($dest."/".$file)){
                        mkdir($dest."/".$file);
                    }
                    cpy($source."/".$file, $dest."/".$file);
                } else {
                    copy($source."/".$file, $dest."/".$file);
                }
            }
        }
        closedir($dir_handle);
    } else {
        copy($source, $dest);
    }
}


?>